\section{Conclusion}\label{sec:conclusion}
In this work, we presented a new approach for the handling of data protection and privacy requirements.
The approach consists of a policy model that leverages on the policy structures of both the \acf{adp} and our framework \acf{ucsp} models. 
The \ac{adp} model was adapted and re-purposed in order to support data protection use-cases.
The adaptation enables the specification and systematic hierarchical scoping of data protection requirements in the following order: the Data Processor at management level (e.g., compliance/regulatory) by means of administrative policies, the Data Subject (e.g., consent, usage purpose) by means of further constrained administrative policies, and by the Data Processor at operational level (e.g., business workflows) by means of further constrained access policies.
The \ac{alfa} policy language syntax was also extended to support the \ac{adp} as defined by the \ac{xacml} specification.
In addition, the temporal state classification of \ac{alfa} policy rules, introduced in \ac{ucsp}, was used to control the different phases of the data lifecycle.
This was achieved by mapping the \emph{pre}, \emph{ongoing} and \emph{post} phases respectively to data collection, data usage (e.g. access, processing, etc.) and data destruction/deletion.

In our future work, we aim at improving the performance of administrative policy evaluation
by caching administrative requests or by evaluating them in parallel to usage requests.
This should flatten the performance results curve even more while increasing the number of administrative policies.
Such optimisations will take into account that the same administrative policy may be applied on multiple data sets.
We also plan to support the maximum delegation depth as defined by the \ac{adp}, and to introduce the implicit temporal state (i.e. \emph{pre}, \emph{ongoing} and \emph{post}) in administrative policies, allowing administrative authorization sessions.
Moreover, we intend to analyse the interplay between the combining algorithms of both administrative and usage policies, as well as their effect on the final evaluation decision.
Finally, we intend to explore and verify the viability of using our policy model in other scenarios such as \ac{iot} applications. 
